#pragma once
#include "ldc2114.h"

void LDC2114Init(void)
{
	int error;
	uint8_t data,i;
	uint8_t cfgcomp[32];
    /*u8 configbuf[]={                      0xFF, 0x03, 0x3F, 0x00, //0x0C ~0x0F
		            0x3F, 0x01, 0x3F, 0x00, 0x3F, 0x03, 0xF0, 0x02, //0x10 ~0x17
		            0x03, 0x00, 0xff, 0x00, 0xFF, 0x00, 0x00, 0x00, //0x18 ~0x1F
		            0xA5, 0x00, 0xA5, 0x00, 0xA5, 0x00, 0xA5};      //0x20
	*/

	
	LDC2114IoInit( );
	
	// MX_I2C1_Init();
	NRF_I2C1_Init();

	dev_ldc2114 = device_get_binding(DEVICE_DT_NAME(DT_NODELABEL(ldc2114)));
	if (!dev_ldc2114) {
        printk("LDC2114 binding failed.");
        return;
    }
	error = i2c_target_driver_register(dev_ldc2114);
	if (!error) {
        printk("LDC2114 driver register failed.");
        return;
    }
	static const struct gpio_dt_spec int_1_pin = GPIO_DT_SPEC_GET(DT_NODELABEL(ldc2114), in1_gpios);

	// data = 0x10;
	// i2c_transfer(
	// i2c_reg_write(ldc2114_dev, 0x0A, &reset_cmd, 1);
	// i2c_write(LDC_I2C_ADDR, LDC_REG_RESET, 1, &data);
	// do
	// {
	// 	//HAL_Delay(2);
	// 	data = 0x0a;
	// 	i2c_read(LDC_I2C_ADDR, LDC_REG_STATUS, 1, &data);
	// }while((data&0x40)==0);

	// data = 0x01;
	// i2c_write(LDC_I2C_ADDR, LDC_REG_RESET, 1, &data);
	// do
	// {
	// 	//HAL_Delay(2);
	// 	data = 0x5a;
	// 	i2c_read(LDC_I2C_ADDR, LDC_REG_STATUS, 1, &data);
	// }while((data&0x20)==0);
	
	// while(1)
	// {
	// 	HAL_Delay(2);
	// 	i2c_write(LDC_I2C_ADDR, LDC_REG_CHAN_EN, 27, configbuf);		
	// 	HAL_Delay(2);
	// 	i2c_read(LDC_I2C_ADDR, LDC_REG_CHAN_EN, 27, cfgcomp);	
		
	// 	for(i=0; i<27; i++)
	// 	{
	// 		if(cfgcomp[i] != configbuf[i])	break;
	// 	}
	// 	if(i >= 27) break;
	// }	

	// data = 0x00;
	// i2c_write(LDC_I2C_ADDR, LDC_REG_RESET, 1, &data);
	
	// MX_I2C1_DeInit( );
	
	// LDC2114IoIrqInit( );	
}



// void LDC2114IoInit( void )
// {
//     GPIO_InitTypeDef initStruct={0};

//     initStruct.Mode = GPIO_MODE_IT_RISING;   //???GPIO_MODE_IT_FALLING;   //
//     initStruct.Pull = GPIO_NOPULL;
//     initStruct.Speed = GPIO_SPEED_LOW;

//     HW_GPIO_Init( LDC_DIO_0_PORT, LDC_DIO_0_PIN, &initStruct );
//     HW_GPIO_Init( LDC_DIO_1_PORT, LDC_DIO_1_PIN, &initStruct );
//     HW_GPIO_Init( LDC_DIO_2_PORT, LDC_DIO_2_PIN, &initStruct );
//     HW_GPIO_Init( LDC_DIO_3_PORT, LDC_DIO_3_PIN, &initStruct );
// }
void LDC2114IoInit( void ){

	// Setup GPIO pins
	dev_gpio = device_get_binding(DEVICE_DT_NAME(GPIO0_NODE));
    if (!dev_gpio) {
        printk("Binding failed.");
        return;
    }
	gpio_pin_configure(dev_gpio, 25, GPIO_OUTPUT); //p0.25
	gpio_pin_configure(dev_gpio, 24, GPIO_INPUT); //p0.24
	gpio_pin_configure(dev_gpio, 23, GPIO_INPUT); //p0.23
	gpio_pin_configure(dev_gpio, 22, GPIO_INPUT); //p0.22
	gpio_pin_configure(dev_gpio, 21, GPIO_INPUT); //p0.21

	gpio_pin_set(dev_gpio, 25, 1);

	// Read READ output 0/1
	read_p025 = gpio_pin_get(dev_gpio, 25);
	read_p024 = gpio_pin_get(dev_gpio, 24);
	read_p023 = gpio_pin_get(dev_gpio, 23);
	read_p022 = gpio_pin_get(dev_gpio, 22);
	read_p021 = gpio_pin_get(dev_gpio, 21);
	printf("in0_p024: %d\n", read_p024);
    // printf("in0_p024: %d\n", gpio_pin_get(dev_gpio, 24));
	// k_sleep(K_MSEC(SLEEP_TIME));
}

// void LDC2114IoIrqInit(void)
// {	
//     HW_GPIO_SetIrq( LDC_DIO_0_PORT, LDC_DIO_0_PIN, IRQ_HIGH_PRIORITY, LDC2114nDio0Irq );
//     HW_GPIO_SetIrq( LDC_DIO_1_PORT, LDC_DIO_1_PIN, IRQ_HIGH_PRIORITY, LDC2114nDio1Irq );
//     HW_GPIO_SetIrq( LDC_DIO_1_PORT, LDC_DIO_2_PIN, IRQ_HIGH_PRIORITY, LDC2114nDio2Irq );
//     HW_GPIO_SetIrq( LDC_DIO_2_PORT, LDC_DIO_3_PIN, IRQ_HIGH_PRIORITY, LDC2114nDio3Irq );
// }

// void algoW_go(void)
// {
//     uint8_t temp;
//     uint8_t msg[128], pflag=0;
//     uint8_t pt=0;
		
	
//     while(LDCCount >= 6)
//     {
//     	temp = (uint8_t)(LDCState>>((LDCCount-4)*2));    	
// /*    	
//     	msg[pt] = 0x30 + ((LDCState>>12)&0x0F);
// 		if(msg[pt] > 0x39) msg[pt] = msg[pt] - 0x3A + 'A';
// 		pt++;
// 		msg[pt] = 0x30 + ((LDCState>>8)&0x0F);
// 		if(msg[pt] > 0x39) msg[pt] = msg[pt] - 0x3A + 'A';
// 		pt++;
// 		msg[pt] = 0x30 + ((LDCState>>4)&0x0F);
// 		if(msg[pt] > 0x39) msg[pt] = msg[pt] - 0x3A + 'A';
// 		pt++;
// 		msg[pt] = 0x30 + ((LDCState>>0)&0x0F);
// 		if(msg[pt] > 0x39) msg[pt] = msg[pt] - 0x3A + 'A';
// 		pt++;		
//     	msg[pt++] = ' ';    	
//     	if(LDCCount > 7) msg[pt++] = '0' + (((u8)(LDCState>>(7*2)))&0x03);  else msg[pt++] = '-';
//     	if(LDCCount > 6) msg[pt++] = '0' + (((u8)(LDCState>>(6*2)))&0x03);  else msg[pt++] = '-'; 
//     	if(LDCCount > 5) msg[pt++] = '0' + (((u8)(LDCState>>(5*2)))&0x03);  else msg[pt++] = '-';
//     	if(LDCCount > 4) msg[pt++] = '0' + (((u8)(LDCState>>(4*2)))&0x03);  else msg[pt++] = '-';
//     	if(LDCCount > 3) msg[pt++] = '0' + (((u8)(LDCState>>(3*2)))&0x03);  else msg[pt++] = '-';
//     	if(LDCCount > 2) msg[pt++] = '0' + (((u8)(LDCState>>(2*2)))&0x03);  else msg[pt++] = '-';
//     	if(LDCCount > 1) msg[pt++] = '0' + (((u8)(LDCState>>(1*2)))&0x03);  else msg[pt++] = '-';
//     	if(LDCCount > 0) msg[pt++] = '0' + (((u8)(LDCState>>(0*2)))&0x03);  else msg[pt++] = '-';
//     	msg[pt++] = ' ';
//     	msg[pt++] = '0' + LDCCount;
    	
//     	msg[pt++] = ' ';
//     	msg[pt] = 0x30 + ((temp>>4)&0x0F);
// 		if(msg[pt] > 0x39) msg[pt] = msg[pt] - 0x3A + 'A';
// 		pt++;
// 		msg[pt] = 0x30 + ((temp>>0)&0x0F);
// 		if(msg[pt] > 0x39) msg[pt] = msg[pt] - 0x3A + 'A';
// 		pt++;
//     	msg[pt++] = 0x0d;
//     	msg[pt++] = 0x0a;
//     	msg[pt++] = 0x0;
//     	PRINTF(msg);
    	
// */
//         //R++ �����λ������
//         if( (temp==0x18) || (temp==0x1C) || (temp==0x2C) || (temp==0x61) || (temp==0x6D) || (temp==0x71) || (temp==0x86) || (temp==0xB1) || (temp==0xB2) || (temp==0xB6) || (temp==0xC7) || (temp==0xCB) || (temp==0xDB) )
//         {
//         	Fcount ++;
//         	pflag = 1;
//         	LDCCount -= 3;
//         }
//         //F++ �����λ������
//         else if( (temp==0x24) || (temp==0x34) || (temp==0x38) || (temp==0x49) || (temp==0x4D) || (temp==0x79) || (temp==0x8E) || (temp==0x92) || (temp==0x93) || (temp==0x9E) || (temp==0xD3) || (temp==0xE3) || (temp==0xE7) )
// 		{
// 			Rcount ++;
// 			pflag = 1;
// 			LDCCount -= 3;
// 		}
// 		else if(temp==0x6C)
// 		{
// 			Fcount ++;
// 			pflag = 1;
//         	LDCCount -= 4;
//         }
// 		else if(temp==0xE4)
// 		{
// 			Rcount ++;
// 			pflag = 1;
//         	LDCCount -= 4;
//         }
//         //else if((temp==0x1B) || (temp==0x39) || (temp==0x4E) || (temp==0xC6))
// 		//{
// 		//	LDCCount --;
// 		//}
// 		else
// 		{
// 			LDCCount --;
// 		}
// 	}
	
// /*
// 	if(pflag)
// 	{
// 		msg[0] = 'F';
// 		msg[1] = '=';
// 		msg[2] = '0' + ((Fcount/10000)%10);
// 		msg[3] = '0' + ((Fcount/1000)%10);
// 		msg[4] = '0' + ((Fcount/100)%10);		
// 		msg[5] = '0' + ((Fcount/10)%10);
// 		msg[6] = '0' + (Fcount%10);
// 		msg[7] = ' ';
// 		msg[8] = ' ';
// 		msg[9] = 'R';
// 		msg[10] = '=';
// 		msg[11] = '0' + ((Rcount/10000)%10);
// 		msg[12] = '0' + ((Rcount/1000)%10);
// 		msg[13] = '0' + ((Rcount/100)%10);		
// 		msg[14] = '0' + ((Rcount/10)%10);
// 		msg[15] = '0' + (Rcount%10);
// 		msg[16] = 0x0D;
//     	msg[17] = 0x0A;
//     	msg[18] = 0;
// 		PRINTF(msg);
// 	}
// */
// }


// void Ldc_read_Handler(uint8_t type)
// {
// 	static uint8_t Flag = 0;
	
// 	LEDb_Toggle();
	
// 	uint8_t msg[13] = {'0','0','0','0',0x0d,0x0a, 0};
	
// 	HAL_Delay(1);
	
// 	if( (type == 0) && HAL_GPIO_ReadPin(GPIOB, GPIO_PIN_5) )       msg[0] = 'A';
// 	else if( (type == 1) && HAL_GPIO_ReadPin(GPIOB, GPIO_PIN_4) )  msg[1] = 'A';
// 	else if( (type == 2) && HAL_GPIO_ReadPin(GPIOB, GPIO_PIN_3) )  msg[2] = 'A';
// 	else if( (type == 3) && HAL_GPIO_ReadPin(GPIOB, GPIO_PIN_8) )  msg[3] = 'A';
// 	else return;

// 	PRINTF(msg);
	
// 	if((LDCflag(0) == type) && (LDCCount != 0)) return;  //�ظ���Ҫ
// 	if((LDCflag(1) == type) && (LDCCount >= 2) && Flag)  //����ȥ��
// 	{
// 		LDCState = LDCState >> 2;
// 		Flag = 0;
// 		LDCCount--;
// 		return;
// 	}
	
// 	Flag = 1;
// 	LDCState = (LDCState<<2) + type;
// 	LDCCount++;
// 	if(LDCCount >= 6)
// 	{
// 		algoW_go();
// 	}
// }



// void LDC2114nDio0Irq( void* context )
// {
//     Ldc_read_Handler(0);
// }


// void LDC2114nDio1Irq( void* context )
// {
// 	Ldc_read_Handler(1);
// }


// void LDC2114nDio2Irq( void* context )
// {
// 	Ldc_read_Handler(2);
// }


// void LDC2114nDio3Irq( void* context )
// {
// 	Ldc_read_Handler(3);
// }

// void GetLDC2114Reading(uint32_t* fcount, uint32_t* rcount)
// {
// 	*fcount = Fcount;
//   *rcount = Rcount;	
// }
